## metaphlan 4.0.4

=== metaphlan/utils/treeshrink/Rlib/BMS/DESCRIPTION ===
Package: BMS
Type: Package
Title: Bayesian Model Averaging Library
Version: 0.3.3
Date: 2013-11-21
Author: Martin Feldkircher and Stefan Zeugner
Maintainer: Stefan Zeugner <bms@zeugner.eu>
Depends: R (>= 2.5), methods
Description: Bayesian Model Averaging for linear models with a wide choice of (customizable) priors. Built-in priors include coefficient priors (fixed, flexible and hyper-g priors), 5 kinds of model priors, moreover model sampling by enumeration or various MCMC approaches. Post-processing functions allow for inferring posterior inclusion and model probabilities, various moments, coefficient and predictive densities. Plotting functions available for posterior model size, MCMC convergence, predictive and coefficient densities, best models representation, BMA comparison.
License: Artistic-2.0
URL: http://bms.zeugner.eu
Packaged: 2013-11-22 09:10:26 UTC; root
Built: R 4.0.3; ; 2021-04-12 15:45:41 UTC; unix

## metaphlan 4.0.0

=== debian/changelog ===
metaphlan (4.0.0-1) unstable; urgency=medium

  * Rename VCS path
  * New upstream version
  * Do not install old wrapper scripts

 -- Andreas Tille <tille@debian.org>  Thu, 25 Aug 2022 08:23:37 +0200

metaphlan (3.1.0+renamed-2) unstable; urgency=medium

  * Source-only upload.

 -- Andreas Tille <tille@debian.org>  Sat, 13 Aug 2022 06:19:37 +0200

metaphlan (3.1.0+renamed-1) unstable; urgency=medium

  * d/watch: Create proper source tarball name
  * Rename package and source name from metaphlan2 to metaphlan
    Closes: #1016645

 -- Andreas Tille <tille@debian.org>  Thu, 04 Aug 2022 17:18:25 +0200

metaphlan2 (3.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 02 Aug 2022 15:07:37 +0200

metaphlan2 (3.0.14-1) unstable; urgency=medium

  * Exclude i386 build in salsa-ci since it is implicitly excluded by
    Build-Depends: bowtie2
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 19:15:12 +0100

metaphlan2 (3.0.13-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Point watch file to Github
  * New upstream version

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * buildsystem=pybuild
  * Build-Depends: python3-setuptools, python3-biopython
  * Do not try to install utils which was dropped upstream
  * lintian-overrides for script-with-language-extension

 -- Andreas Tille <tille@debian.org>  Wed, 22 Sep 2021 21:12:12 +0200

metaphlan2 (2.9.22-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Fix watch file
  * New upstream version

  [ Steve Langasek ]
  * Patches to port to Python3
    Closes: #933661, #937016

 -- Andreas Tille <tille@debian.org>  Fri, 08 Nov 2019 07:50:19 +0100

metaphlan2 (2.7.8-1) unstable; urgency=medium

  * Drop libjs-twitter-bootstrap dependency which is not needed any more
    Closes: #908426
  * New upstream version
  * Standards-Version: 4.2.1
  * d/watch: Uversionmangle to avoid missinterpretation of nano version
             number that is not separated by '.'

 -- Andreas Tille <tille@debian.org>  Mon, 17 Sep 2018 10:17:22 +0200

metaphlan2 (2.7.6-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Avoid privacy breach by referencing remote files from README.html

  [ Tony Travis ]
  * Compile with Python2 despite _metaphlan2.py is using Python3 syntax

 -- Andreas Tille <tille@debian.org>  Mon, 28 May 2018 15:13:38 +0200

metaphlan2 (2.7.5-1) unstable; urgency=medium

  * New upstream version (no data shiped with this archive any more)
  * Standards-Version: 4.1.3
  * debhelper 11
  * db_v20/mpa_v20_m200.pkl was removed from upstream source so we can not
    install this file

 -- Andreas Tille <tille@debian.org>  Fri, 16 Feb 2018 11:12:16 +0100

metaphlan2 (2.6.0+ds-2) unstable; urgency=medium

  * Fix location of marker information file
    Closes: #847670
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sun, 11 Dec 2016 15:47:14 +0100

metaphlan2 (2.6.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #838083)

 -- Andreas Tille <tille@debian.org>  Sat, 17 Sep 2016 12:26:03 +0200

metaphlan2 (2.5.0-0~ubuntu14.04~ppa1) trusty; urgency=medium

  * Pre-release to Debian Med PPA

 -- Andreas Tille <tille@debian.org>  Mon, 23 May 2016 16:09:13 +0200

=== debian/control ===
Source: metaphlan
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-all,
               dh-python,
               pandoc,
               bowtie2,
               python3-setuptools,
               python3-biopython <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/metaphlan
Vcs-Git: https://salsa.debian.org/med-team/metaphlan.git
Homepage: https://github.com/biobakery/MetaPhlAn
Rules-Requires-Root: no

Package: metaphlan
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         metaphlan2-data,
         python3-biom-format,
         python3-msgpack,
         python3-pandas,
         bowtie2
Conflicts: metaphlan2
Provides: metaphlan2
Replaces: metaphlan2
Description: Metagenomic Phylogenetic Analysis
 MetaPhlAn is a computational tool for profiling the composition of
 microbial communities (Bacteria, Archaea and Eukaryotes) from
 metagenomic shotgun sequencing data (i.e. not 16S) with species-level.
 With the newly added StrainPhlAn module, it is now possible to perform
 accurate strain-level microbial profiling.
 .
 MetaPhlAn relies on ~1.1M unique clade-specific marker genes (the latest
 marker information file mpa_v31_CHOCOPhlAn_201901_marker_info.txt.bz2
 can be found here) identified from ~100,000 reference genomes (~99,500
 bacterial and archaeal and ~500 eukaryotic), allowing:
 .
  * unambiguous taxonomic assignments;
  * accurate estimation of organismal relative abundance;
  * species-level resolution for bacteria, archaea, eukaryotes and
    viruses;
  * strain identification and tracking
  * orders of magnitude speedups compared to existing methods.
  * metagenomic strain-level population genomics

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/biobakery/MetaPhlAn/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## metaphlan 4.0.4

=== debian/changelog ===
metaphlan (4.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 15:09:53 +0100

metaphlan (4.0.3-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version
  * Build-Depends: s/python3-all/python3/ since its a user application
    that should run sufficiently well with default Python3
  * Upstream chngelog was renamed
  * lintian-overrides for Rdata file

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 12:39:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               python3-all,
+               python3,
                dh-python,
                pandoc,
                bowtie2,
                python3-setuptools,
                python3-biopython <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/metaphlan
 Vcs-Git: https://salsa.debian.org/med-team/metaphlan.git
 Homepage: https://github.com/biobakery/MetaPhlAn

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

%:
	dh $@  --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	pandoc -s --from markdown --to html README.md | \
	    sed -e 's#"https://bitbucket.org/repo/r[Mm]969[Kk]/images#"images#' > README.html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_fixperms:
	dh_fixperms
	find debian/$(DEB_SOURCE) -name "*.txt" -exec chmod -x \{\} \;

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/biobakery/MetaPhlAn/tags .*/v?(\d[\d.]+)@ARCHIVE_EXT@

## metaphlan 4.0.4+ds

=== debian/changelog ===
metaphlan (4.0.4+ds-1) unstable; urgency=medium

  * Team upload.

  [ Harish chavre ]
  * patch added Replace distutils.version with packaging.version for
    Python 3.12+ compatibility
  * Add autopkgtest for metaphlan
    Closes: #1035175
  * Add copyright info for autopkgtest data in debian/copyright
  * created  gbp.conf to embed the test data
  * move large test data to separate debian-tests-data component

  [ Étienne Mollier ]
  * d/rules: fix calculate_diversity.R script not executable.
  * d/control: metaphlan depends on r-base-core.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 May 2025 22:30:27 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                bowtie2,
                python3-setuptools,
                python3-biopython <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/metaphlan
 Vcs-Git: https://salsa.debian.org/med-team/metaphlan.git
 Homepage: https://github.com/biobakery/MetaPhlAn
@@ -24,6 +24,8 @@
          python3-biom-format,
          python3-msgpack,
          python3-pandas,
+         python3-packaging,
+         r-base-core,
          bowtie2
 Conflicts: metaphlan2
 Provides: metaphlan2

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,5 @@
 override_dh_fixperms:
 	dh_fixperms
 	find debian/$(DEB_SOURCE) -name "*.txt" -exec chmod -x \{\} \;
+	find debian/$(DEB_SOURCE) -name "calculate_diversity.R" \
+		-exec chmod +x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, bowtie, metaphlan
Restrictions: allow-stderr
